[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCustomCalendar.LMDayChanged

Handles the LCL LM_DAYCHANGED message received when the day number has been changed on the calendar control.

## Declaration

Source position: calendar.pp line 114

`protected procedure TCustomCalendar.LMDayChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

LMDayChanged handles the message posted as a callback from the widgetset class when the day number on the control is changed. The message occurs when the day number is changed as a result of using the navigation keys on the calendar, or when a new day number is clicked with the mouse. It signals the OnDayChanged and OnChange event handlers (when assigned).

An application can assign object procedures to the event handlers to respond to the change notifications.

## See also

TCustomCalendar.OnDayChanged |  | Event handler signalled when the day number in DateTime has been changed using the calendar control.
TCustomCalendar.OnChange |  | Event handler signalled when the calendar control has been changed.